
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

#define WeaponNoSlot			0// dummy weapons
#define WeaponSlotPrimary		1// primary weapons
#define WeaponSlotSecondary		16// secondary weapons
#define WeaponSlotItem			256// items
#define WeaponSlotBinocular		4096// binocular
#define WeaponHardMounted		65536

class CfgPatches
{
	class PORG3 {
	units[] = {PORG3};
	weapons[] = {};	
        requiredVersion = 1.30;	
	};
	
	class PORG3M	{
	units[] = {PORG3M};	
	weapons[] = {};	
	requiredVersion = 1.30;	
	};	

	class PORG3S	{
	units[] = {PORG3S};	
	weapons[] = {};	
	requiredVersion = 1.30;	
	};
};
class CfgAmmo
{
	
	class default {};
	class BulletSingle : default{};
	class BulletBurst: BulletSingle{};
	class BulletFullAuto: BulletBurst{};
	class BulletSingleW: BulletSingle{};
	class BulletBurstW: BulletBurst{};
	class BulletFullAutoW: BulletFullAuto{};
	class Grenade: Default {};
	class GrenadeHand: Grenade {};
	class SmokeShell: GrenadeHand {};
	
	class PORG3Mag: BulletSingle {
	hit= 8;
	indirectHit= 1;
	indirectHitRange= 0.40000;
	minRange=0.5;
	minRangeProbab=0.800000;
	midRange=50;
	midRangeProbab=0.350000;
	maxRange=200;
	maxRangeProbab=0.080000;
	visibleFire= 10;
	audibleFire= 10;
	visibleFireTime= 10;


};
};
class CfgWeapons
{
	class Default	{};
	class MGun: Default {};
	class Riffle: MGun {};
	class M16: Riffle {};
	class GrenadeLauncher: Default {};
	class M16GrenadeLauncher:Default {};
	
class PORG3: M16

	{
   		scopeWeapon=2;
   		scopeMagazine=2;
   		model="\PORG3\PORG3P3D.p3d";
   		modelOptics="\PORG3\porg3optikap3d.p3d";
		picture="\PORG3\porg3p.paa";
   		displayName="POR G3 ";
   		displayNameMagazine="PORG3mag";
   		shortNameMagazine="G3mag";
		reloadMagazineSound[]={"\PORG3\reload.wav",0.2,1};
  		optics=1;
   		opticsZoomMin=0.300000;
   		opticsZoomMax=0.300000;
   		count=20;
   		magazines[]={"PORG3Mag"};
   		modes[]={"Single","FullAuto"};
   		class Single
   		{
      			ammo="BulletSingleW";
      			multiplier=1;
      			burst=1;
      			displayName="POR G3 Single";
      			dispersion=0.000200;
			sound[]={"\PORG3\fire.wav",1,1};
      			soundContinuous=0;
      			reloadTime=0.150000;
      			recoil="rifflesingle";
      			ffCount=1;
      			autoFire=0;
      			aiRateOfFire=5.000000;
      			aiRateOfFireDistance=500;
      			useAction=0;
      			useActionTitle="";
   		};
		class Burst
		{
			ammo="BulletBurstW";
			multiplier=1;
			burst=3;
			displayName="POR G3 Burst";
			dispersion=0.000400;
			sound[]={"\PORG3\burst.wav",1,1};
			soundContinuous=0;
			reloadTime=0.085000;
			ffCount=3;
			recoil="riffleBurst3";
			autoFire=0;
			aiRateOfFire=3.000000;
			aiRateOfFireDistance=500;
			useAction=0;
			useActionTitle="";
		};
   		class FullAuto
   		{
      			ammo="BulletFullAuto";
      			multiplier=1;
      			burst=1;
      			displayName="POR G3 Auto";
      			dispersion=0.000600;
			sound[]={"\PORG3\fire.wav",1,1};
      			soundContinuous=0;
      			reloadTime=0.100000;
     	 		ffCount=1;
      			recoil="riffleBurst3";
      			autoFire=1;
      			aiRateOfFire=5.000000;
      			aiRateOfFireDistance=500;
      			useAction=0;
      			useActionTitle="";
   		};
	};
	
	class PORG3S: M16

	{
   		scopeWeapon=2;
   		scopeMagazine=2;
   		model="\PORG3\PORG3SP3D.p3d";
   		modelOptics="\PORG3\porg3optikap3d.p3d";
		picture="\PORG3\porg3ps.paa";
   		displayName="POR G3KA4 ";
   		displayNameMagazine="PORG3mag";
   		shortNameMagazine="G3mag";
		reloadMagazineSound[]={"\PORG3\reload.wav",0.2,1};
  		optics=1;
   		opticsZoomMin=0.300000;
   		opticsZoomMax=0.300000;
   		count=20;
   		magazines[]={"PORG3Mag"};
   		modes[]={"Single","FullAuto"};
   		class Single
   		{
      			ammo="BulletSingleW";
      			multiplier=1;
      			burst=1;
      			displayName="POR G3 Single";
      			dispersion=0.000200;
			sound[]={"\PORG3\fire.wav",1,1};
      			soundContinuous=0;
      			reloadTime=0.150000;
      			recoil="rifflesingle";
      			ffCount=1;
      			autoFire=0;
      			aiRateOfFire=5.000000;
      			aiRateOfFireDistance=500;
      			useAction=0;
      			useActionTitle="";
   		};
		class Burst
		{
			ammo="BulletBurstW";
			multiplier=1;
			burst=3;
			displayName="POR G3 Burst";
			dispersion=0.000400;
			sound[]={"\PORG3\burst.wav",1,1};
			soundContinuous=0;
			reloadTime=0.085000;
			ffCount=3;
			recoil="riffleBurst3";
			autoFire=0;
			aiRateOfFire=3.000000;
			aiRateOfFireDistance=500;
			useAction=0;
			useActionTitle="";
		};
   		class FullAuto
   		{
      			ammo="BulletFullAuto";
      			multiplier=1;
      			burst=1;
      			displayName="POR G3 Auto";
      			dispersion=0.000600;
			sound[]={"\PORG3\fire.wav",1,1};
      			soundContinuous=0;
      			reloadTime=0.100000;
     	 		ffCount=1;
      			recoil="riffleBurst3";
      			autoFire=1;
      			aiRateOfFire=5.000000;
      			aiRateOfFireDistance=500;
      			useAction=0;
      			useActionTitle="";
   		};
	};


class PORG3M: M16GrenadeLauncher

	{
		scopeWeapon=2;
		scopeMagazine=0;
		weaponType=1;
		displayName="POR G3 GrenadeLauncher";
		model="\PORG3\PORG3MP3D.p3d";
		picture="\PORG3\PORG3PM.paa";
		muzzles[]={"PORG3Muzzle","PORG3MMuzzle"};

		class PORG3Muzzle: PORG3
		{
			magazines[]={"PORG3mag"};
		};
		class PORG3MMuzzle: GrenadeLauncher
		{
			displayName="POR G3 Grenadelauncher";
			optics=0;
			opticsFlare=0;
			opticsZoomMin=0.350000;
			opticsZoomMax=0.350000;
			reloadMagazineSound[]={"\PORG3\reload.wav",0.2,1};
			magazines[]={"GrenadeLauncher","Flare","FlareGreen","FlareYellow","FlareRed"};
		};
};

	class PORG3mag:  PORG3
	{
		scopeWeapon=0;
		scopeMagazine=2;
		displayNameMagazine="PORG3mag";
		shortNameMagazine="G3mag";
		picture="\porg3\porg3m.paa";
	};


};
class CfgNonAIVehicles
{
	class ProxyWeapon {};
	class ProxyPORG3: ProxyWeapon {};
	class ProxyPORG3M: ProxyWeapon {};
	class ProxyPORG3S: ProxyWeapon {};

};
